﻿/* CSS for Velg kolonner, Velg felter, SkjulVis elementer og LagreKolonneOppsett-dialog */

/* Plassering av Velg kolonner, Eksporter knapper og grupperingsknapper */
.ddReportColumnMenu { /* i rapporter som bruker rapportmotor */
    float: right;
    margin-bottom: 20px;
}

/*.ddReportMenuRow */.ddReportExportContainer button{ /* i rapporter som bruker rapportmotor */
    width: 25px;
    height: 25px;
    padding: 14px;
}

#ddColumnMenu_resultPerMonthReport.ddReportColumnMenu{
    float:none;
    margin-bottom:0;
}

.ddShowColumns {
    float: right;
    cursor: pointer;
    z-index: 5;
}

.ddReportExportContainer {
    float: right;
    margin-right: 20px;
    margin-bottom:0.5%;
}

.ddReportExportContainer .k-button {
    background-color: #fff;
    margin-right: 5px;
}

.ddReportExportContainer .k-button-icontext .k-image{
    margin-left:.1rem !important;
}

.ddReportExportContainer .ddreportexportmessage{
    background-image:url(../img/Messages_icon.png);
    background-repeat:no-repeat;
    background-position-x:center;
}

.ddReportExportContainer .ddreportexportpdf{
    background-image:url(../img/PDF_icon_20px.png);
    background-repeat:no-repeat;
    background-position-x:center;
}

.ddReportExportContainer .ddreportexportexcel{
    background-image:url(../img/Excel_icon_20px.png);
    background-repeat:no-repeat;
    background-position-x:center;
}

#gridButtons.ddrow {
    float: left;
    position: relative;
    margin-bottom: 3px;
    width:unset;
}
/* Slutt: Plassering av Velg kolonner, Eksporter knapper og grupperingsknapper */

.ddLinkmenu a,
.ddLinkMenu a {
    text-decoration: underline;
    padding-left: 28px;
    background-image: url('../img/VelgKolonner_morkegronn.svg');
    background-repeat: no-repeat;
}

/* Velg felter i Fakturering */
#fieldChooser .ddLinkMenu a{
    background-image: url('../img/VelgFelter_morkegronn.svg');
}

.ddLinkmenu a, 
.ddLinkMenu a{
    height:20px;
    margin:5px 0 0.2% 0;
}

.groupingroot .ddLinkmenu a,
.groupingroot .ddLinkMenu a {
    height: 20px;
    margin: 5px 30px 0 0;
    background-image: url('../img/VelgFelter_morkegronn.svg');
}

.groupingdata,
.ddReportViewerColumns {
    padding:0 1% 1% 2%;
    float:left;
    width:97%;
    border:1px solid #dbdbdb;
    border-radius:6px;
}

.groupingdata{
    margin-top:1%;
}

.ddmenuDetailsClicked > .ddReportViewerColumns {
    margin-bottom: 0.5%;
}

.ddReportViewerColumnsCloseContainer{
    float:right;
    padding-right:10px;
    margin-top:20px;
}

#filterMenu .ddReportViewerColumnsCloseContainer,
.ddfilterMenu .ddReportViewerColumnsCloseContainer {
    padding-right: 20px;
    position: relative;
    top: -48px;
}

#filterMenu .ddReportViewerColumnsCloseButton,
.ddfilterMenu .ddReportViewerColumnsCloseButton {
    cursor: pointer;
}

#fieldChooser_closebutton.ddReportViewerColumnsCloseButton:before {
    display:none;
}

.ddReportViewerColumnsCloseButton:before {
    content: 'En ny kolonne legger seg alltid bakerst. Du kan deretter dra og slippe kolonnen dit du vil ha den.';
    float: left;
    margin: 0 15px 0 0;
    font-weight: normal;
    color: #333;
    font-size: 13px;
}

.bookingInfoShowCarriersContainer .ddReportViewerColumnsCloseButton:before,
.ddNewAttestationFlowQuickReg .ddReportViewerColumnsCloseButton:before {
    display: none;
}

.ddReportViewerColumns .k-item{
    float:left;
}

/* Spesielt for Bilagsbehandling */
.ddReportViewerColumns #reportColumns_voucherProcessingGrid .k-item {
    float: none;
}

/* Spesielt for Bilagsbehandling */
.ddReportViewerColumns #reportColumns_voucherProcessingGrid .k-treeview .k-content
/*.voucherProcessing .k-treeview .k-item > .k-group,
.voucherProcessing .k-treeview > .k-group */{
    display: flex;
}

.amelding .ameldingIncome .ddReportViewerColumns .k-group.k-treeview-lines > li {
    width: 95%;
    padding: 5px 0 5px 0;
}

.amelding .ameldingIncome .ddReportViewerColumns .k-group.k-treeview-lines > li > div > span.k-in{
    color:#0e3a2e;
    font-style:italic;
}

#elementsMenu .k-treeview>.k-group,
.groupingdata .k-treeview>.k-group,
.ddReportViewerColumns .k-treeview>.k-group{
    margin-top:20px;
}

/* Spesielt for Bilagsbehandling */
.ddReportViewerColumns #reportColumns_voucherProcessingGrid .k-treeview>.k-group{
    display:flex;
}

/* Velg felter i ordrebildet, Skjul/vis elementer og Velg kolonner i Konteringsoppsett */
/* flex sørger for at feltene listes UNDER hver sin gruppe */
.assigningAccountCodes .ddReportViewerColumns .k-treeview > .k-group,
#elementsMenu .k-treeview > .k-group,
.groupingdata .k-treeview > .k-group,
#fieldChooser .ddReportViewerColumns .k-treeview > .k-group {
    display: flex;
}

.ddReportViewerColumns .k-treeview span.k-in {
    width: 262px;
}

/* Spesielt for Bilagsbehandling */
.ddReportViewerColumns #reportColumns_voucherProcessingGrid .k-treeview span.k-in {
    width: unset;
}

#fieldChooser .ddReportViewerColumns .k-treeview span.k-in,
#elementsMenu .k-treeview span.k-in {
    width: 200px;
    margin-right: 10px;
    white-space: pre-line;
}

.assigningAccountCodes .ddReportViewerColumns .k-treeview span.k-in {
    width: 160px;
    margin-right: 10px;
    white-space: pre-line;
}

.groupingdata .k-treeview span.k-in {
    width: 246px;
    margin-right: 10px;
}

#fieldChooser .k-icon,
#elementsMenu .k-icon,
.groupingdata .k-icon,
.ddReportViewerColumns .k-icon{
    float:left;
}

.ddReportViewerColumns .k-top,
.ddReportViewerColumns .k-mid,
.ddReportViewerColumns .k-bot {
    margin-bottom: 5px;
}

.groupingdata .k-mid,
.groupingdata .k-top,
.groupingdata .k-bot,
#fieldChooser .k-mid,
#fieldChooser .k-top,
#fieldChooser .k-bot {
    float:left;
    margin-bottom:5px;
}

.assigningAccountCodes .ddReportViewerColumns li div,
.groupingdata li div,
#fieldChooser li div{
    clear:left;
}

.assigningAccountCodes .ddReportViewerColumns .k-item,
.groupingdata .k-item,
#fieldChooser .k-item{
    float:none;
}

.assigningAccountCodes .ddReportExportContainer{
    margin-right:0;
    position:relative;
    right:195px;
}

@media screen and (max-width: 1024px){
    .assigningAccountCodes .ddReportViewerColumns .k-treeview>.k-group,
    #fieldChooser .ddReportViewerColumns .k-treeview>.k-group {
        display:block;
    }
}

/* VELG FELTER I ATTESTASJON BRUKER SKJUL/VIS ELEMENTER */
/* Skjul/Vis elementer benyttes av praktiske årsaker, 
derfor må dette styles om for Velg felter formålet */
.ddAttestationDetailEditArea .ddhideShowElementsMenu .ddExplanation {
    display: none;
}

.ddAttestationDetailEditArea .ddhideShowElementsMenu .k-treeview > .k-group {
    display: block !important;
}

.ddAttestationDetailEditArea .ddSelectionPanel .hideShowElements,
.ddAttestationDetailEditArea .ddSelectionPanel .hideShowElements .ddmenuClicked {
    background-image: url(../img/VelgFelter_morkegronn.svg);
    background-color:transparent;
    color:#0e3a2e;
}

.ddAttestationDetailEditArea .ddhideShowElementsMenu .et_close {
    background-image: url(../img/LukkLink.png);
    top:10px;
    right: 16px;
    width: 38px;
    height:38px;
    float:right;
    z-index:1;
}
/* Slutt: Velg felter i Attestasjon */



/****** SMARTE KOLONNER I RAPPORTER ******/
/* Inne i Velg kolonner */
/* Container rundt elementene */
.ddChooseSmartColumnsContainer {
    float: left;
    margin-top: 20px;
    width: 100%;
}

.ddReportViewerSmartColumnsHeader .ddExplanationSmall{
    margin-bottom:10px;
}

/* Dra og slipp knappen */
.ddReportViewerSmartColumn {
    float: left;
    background: #debc37;
    padding: 8px 15px 8px 15px;
    color: white;
    border-radius:12px;
    -webkit-box-shadow:1px 3px 10px #cecece;
    -moz-box-shadow:1px 3px 10px #cecece;
    box-shadow:1px 3px 10px #cecece;
}

/* i knapp */
.ddReportViewerSmartColumnsContainer .ddinfomarker,
.ddSmartColumnWindowElement .ddinfomarker{
    background-image:url(../img/info.svg);
    background-repeat:no-repeat;
    height:17px;
    width:17px;
    background-size:contain;
    cursor:pointer;
    float:left;
}

.ddReportViewerSmartColumnsContainer .ddinfomarker {
    margin: 10px 0 0 7px;
}

/* Inne i grid'en */
/* Funksjoner i rapporten ved dra og slipp av en smart kolonne */
.jqx-grid-column-header:hover .ddReportSmartColumnHeaderMenu { /* Når musepekeren er over kolonneheaderen, vis fram menyen */
    margin-left: -16px;
    display: block;
}

.jqx-grid-column-header .ddReportSmartColumnHeaderMenu {
    margin-left: 0;
    display: none;
}

.ddReportSmartColumnHeaderMenu {
    height: 30px;
    left: 100%;
    top: 0%;
    position: absolute;
    width: 15px;
}

.ddReportSmartColumnHeader + .iconscontainer {
    display: none !important; /* Skjuler div i kolonneheader som inneholder ikoner for filtrering og sotering spesifikt for smarte kolonner */
}

.ddSmartColumnMarkerLeft {
    border-left: #0e3a2e 4px solid !important;
    border-top-style: none;
    border-bottom-style: none;
}

.ddSmartColumnMarkerRight {
    border-right: #0e3a2e 4px solid !important;
    border-top-style: none;
    border-bottom-style: none;
}

/* Dialogen etter slipp */
#ddReportSmartColumnWindow{
    padding: 0 5px 25px 25px;
}

.ddSmartColumnWindowElement{
    float:left;
}

.ddSmartColumnWindowElement:first-child{
    margin-top:-10px;
}

.ddSmartColumnWindowElement a{
    margin-right:30px;
}

.ddSmartColumnWindowElement:last-child{
    margin-top:15px;
}

.ddSmartColumnWindowElement.relativeValuesReferenceLine label,
.ddSmartColumnWindowElement.relativeValuesReferenceLine input,
.ddSmartColumnRelativeValuesReferenceLine{
    float:left;
}

.ddSmartColumnWindowElement .ddinfomarker {
    margin: 2px 0 0 7px;
}
/****** Slutt: Smarte kolonner i rapporter ******/


/* LAGRE KOLONNEOPPSETT i Velg kolonner i rapporter */
/** Lagre kolonneoppsett knapp i Velg kolonner **/
#reportColumns_savebutton_grid{
    margin-right:20px;
}

/* CSS for lagre kolonneoppsett dialog */
.ddDistributeColumns.ddQuickRegContainer.large {
    width: 800px;
    padding:30px !important;
}

.ddDistributeColumns.ddQuickRegContainer.small {
    width: 414px;
    padding:30px !important;
}

.ddDistributeColumns.ddQuickRegContainer h2{
    margin:-38px 0 10px 0;
}

.ddDistributeColumns.large .ddQuickRegGroup1{
    float: left;
    width: 48%;
}

.ddDistributeColumns.small .ddQuickRegGroup1{
    float: left;
    width: 100%;
}

.ddDistributeColumns.large .ddQuickRegGroup2 {
    float: left;
    width: 44%;
    margin-left: 8%;
}

.ddDistributeColumns.small .ddQuickRegGroup2 {
    display:none;
}

.ddDistributeColumns .ddQuickRegFieldLarge,
.ddDistributeColumns .ddQuickRegField{
    margin-left:0;
    width:100%;
}

.ddDistributeColumns .ddExplanationSmall{
    margin:10px 0 10px 0;
}

.ddDistributeColumns .k-radio-label{
    line-height:1.2em;
    font-weight:normal;
    font-size:14px;
}

.reportColumnsSaveDialogColumnList {
    height: 300px;
    border:1px solid #dadada;
}

.reportColumnsSaveDialogColumnListInfo {
    color: #787878;
    margin-top: 2%;
}

.reportTdGrey{
    color:#9c9c9c;
}

.ddDistributeColumns .k-grid-content{
    cursor:pointer;
}

.ddReportViewerColumnsCloseContainer .k-button,
.ddDistributeColumns .k-button {
    margin-right:10px;
}

.ddDistributeColumns .ddReportColumnsSaveButton{
    width:115px;
}

.ddQuickRegContainer.ddDistributeColumns .reportColumnsSaveDialogOptionLabel:nth-of-type(2) {
    width: 100px;   
}

.ddQuickRegContainer.ddDistributeColumns .reportColumnsSaveDialogOptionLabel:nth-of-type(3)  {
    width: 150px;   
}

.ddDistributeColumns .ddQuickRegGroup1 .ddQuickRegField{
    height:45px;
    margin-top:15px;
}

.ddDistributeColumns .reportColumsSaveDialogNameLabel {
    float: left;
    margin-right: 1%;
    margin-top: 7px;
}

input[id^=reportColumnsSaveDialog_nameInput] {
    float: left;
    margin-left:10px;
}

.ddQuickRegGroup2 .ddAutoSearchMultiSelect  {
    top: -28px;
}

.ddDistributeColumns .ddinfomarker {
    background-image: url(../img/info.svg);
    background-repeat: no-repeat;
    background-size: contain;
    height: 17px;
    width: 17px;
    position:relative;
    top:-7px;
    right:0;
    cursor: pointer;
}

.ddDistributeColumns .reportViewerInfoMarker {
    margin: -22px 0 0 180px;
    float: left;
}
/* Slutt: CSS for lagre kolonneoppsett dialog */
/* Slutt: LAGRE KOLONNEOPPSETT i Velg kolonner i rapporter */


/* ******************************* */
/* Spesialkode for enkeltrapporter (fordi de ikke er en del av Rapportmotoren/bruker kendo eller annet) */
/* Meldingsarkiv - Tilpasninger for kolonnevelger, visning av satt utvalg og exportikonene */
#ddColumnMenu_dummyMessageArchiveColumnChooser.ddrow {
    float: right;
    width: unset;
}

#ddColumnMenu_dummyMessageArchiveColumnChooser.ddrow:before {
    display: initial;
}

#ddColumnMenu_dummyMessageArchiveColumnChooser .ddReportViewerColumns {
    margin-bottom: 5px;
}

/* Betalingspåminnelse, Utbetaling og Innbetaling, Firmaliste, Brukere m.fl. - Tilpasninger for kolonnevelger og exportikoner */
#ddColumnMenu_debetCustomersGrid .ddLinkmenu a,
#ddColumnMenu_transactionGrid .ddLinkmenu a,
#ddColumnMenu_ocrGrid .ddLinkmenu a,
*#ddColumnMenu_carriertypesGrid .ddLinkmenu a,
#ddColumnMenu_carrierValuesGrid .ddLinkmenu a {
    margin-right: -100px;
}

#ddColumnMenu_clientsGrid .ddLinkmenu a,
#ddColumnMenu_usersGrid .ddLinkmenu a {
    margin-right: -72px;
}

.usersGridContainer .ddReportExportContainer,
.debetCustomersGridContainer .ddReportExportContainer,
#ddReportExportContainerRemittanceTransactions .ddReportExportContainer,
#ocrContainer .ddReportExportContainer,
.clientsGridContainer .ddReportExportContainer,
.carriertypesMainContainer .ddReportExportContainer{
    position: relative;
    left: -180px;
    margin-right: 0;
}

.carriersMainContainer .ddReportExportContainer,
.voucherPictureFolder .ddReportExportContainer,
.ddbookkeepingLogJournalReport .ddReportExportContainer,
.oppstartRegnskap .ddReportExportContainer{
    position: absolute;
    right: 180px;
}

.ddbookkeepingLogJournalReport .ddReportViewerColumns{
    margin-top:5px;
}
/* Slutt Spesialkode for enkeltrapporter */
/* ************************************* */